## ---- echo = FALSE, message = FALSE-------------------------------------------
library(knitr)
knitr::opts_chunk$set(
    error = FALSE,
    tidy  = FALSE,
    message = FALSE,
    warning = FALSE,
    fig.align = "center")

## -----------------------------------------------------------------------------
library(KEGGREST)
pathway2gene = keggLink("pathway", "hsa")
head(pathway2gene)

## -----------------------------------------------------------------------------
kegg_pathways = split(gsub("hsa:", "", names(pathway2gene)),
	                  gsub("path:", "", pathway2gene))

## -----------------------------------------------------------------------------
library(rGREAT)
gr = randomRegions(genome = "hg19")
great(gr, kegg_pathways, "hg19")

## -----------------------------------------------------------------------------
pn = keggList("pathway/hsa")
head(pn)

## -----------------------------------------------------------------------------
lt = getKEGGPathways("hsa")
lt[1:2]

## -----------------------------------------------------------------------------
library(reactome.db)
gs = as.list(reactomePATHID2EXTID)
great(gr, gs, "hg19")

## -----------------------------------------------------------------------------
sessionInfo()

